package com.cm6123.monopoly.game;

/**
 * Interface in connection with game actions for if a player lands on a useful tile.
 */
public interface GameHandler {

    /**
     * Triggers when player lands on a property.
     *
     * @param player the player who landed on the property.
     */
    void landedOnProperty(Player player);

    /**
     * Triggers when player lands on a train station.
     *
     * @param player the player who landed on the train station.
     */
    void landedOnTrainStation(Player player);

}
