package com.cm6123.monopoly.game;

import com.cm6123.monopoly.dice.Dice;

/**
 * Class for the movement when dice is rolled.
 */
public class Movement {

    /** The number of tiles on the board. */
    private static final int GAME_BOARD_SIZE = 16;


    /** The die object used for rolling. */
    private final Dice dice = new Dice(6);



    /**
     *  Player asked to roll die and the result is added up (diceResult) for the sum of both dies rolled.
     *
     * @param player The player whose position will be updated.
     */
    public void diceResult(final Player player) {
        // Roll two dice
        int roll1 = dice.roll();
        int roll2 = dice.roll();

        // Calculate total dice result
        int diceResult = roll1 + roll2;
        System.out.println("You rolled " + diceResult);

        // Get current player position
        int currentPosition = player.getPosition();

        // Calculate new position on the game board based on dice result
        int newPosition = (currentPosition + diceResult - 1) % GAME_BOARD_SIZE + 1;

        // Update player's new position
        player.setPosition(newPosition);
    }
}
