import com.cm6123.monopoly.game.Board;
import com.cm6123.monopoly.game.Player;
import com.cm6123.monopoly.game.GameAction;
import com.cm6123.monopoly.game.Movement;
import org.junit.jupiter.api.Test;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.util.Scanner;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class TrainStationTest {

    @Test
    public void testPlayerPosition() {
        // check if the test player lands on tile 7 which is a train station
        Board board = new Board();
        Player player = new Player("TestPlayer", 1000, 7);
        assertEquals(7, player.getPosition());

    }

    @Test
    public void testTrainStation() {
        // make the test player land on tile 7 which is a train station
        Board board = new Board();
        Player player = new Player("TestPlayer", 1000, 7);

        // make the test player enter 'R'
        String input = "R\n";
        InputStream in = new ByteArrayInputStream(input.getBytes());
        System.setIn(in);

        GameAction gameAction = new GameAction(board);
        gameAction.landedOnTrainStation(player);

        // Check if money has been subtracted from the players bank account which means.
        // that the train station is doing what it's intended on doing
        // the player rolls the die and the ticketprice is multiplied by the dice result
        // money is subtracted from the player and given to the banker.
        assertTrue(player.getMoney() < 1000);
    }
}